Get Devices Settings
curl --request GET \
--url https://api.nox.energy/v1/devices/settings \
--header 'x-api-key: <api-key>'import requests
url = "https://api.nox.energy/v1/devices/settings"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.nox.energy/v1/devices/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"device_id": "device_id_123",
"room": {
"temperature_lower_bound": 1.5,
"temperature_upper_bound": 1.5,
"preferred_temperature": 21,
"schedule_enabled": true,
"temperature_control_mode": "auto"
},
"dhw": {
"temperature_upper_bound": 50,
"temperature_lower_bound": 40
},
"optimization_settings": {
"pv_self_consumption": true,
"dynamic_tariff": true,
"flex_trading": false,
"imbalance_optimization": false
},
"updated_at": "2026-04-17T09:27:09.224000+00:00"
},
{
"device_id": "device_id_456",
"room": {
"temperature_lower_bound": 1.5,
"temperature_upper_bound": 1.5,
"preferred_temperature": 21,
"schedule_enabled": true
},
"dhw": {
"temperature_upper_bound": 50,
"temperature_lower_bound": 40
},
"optimization_settings": {
"pv_self_consumption": true,
"dynamic_tariff": true,
"flex_trading": false,
"imbalance_optimization": false
},
"updated_at": "2026-04-17T09:27:09.224000+00:00"
}
],
"meta": {
"energy_supplier": "Energy Supplier A"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}User Management
Get Devices Settings
Get the settings of a specific device or group of devices of a user.
GET
/
v1
/
devices
/
settings
Get Devices Settings
Authorizations
API Key authentication. Enter your API key in the format: YOUR_API_KEY
Query Parameters
The ID of the device to filter on. If not provided, all devices are returned.
The ID of the user to filter on. If not provided, all users are returned.
⌘I